angular.module('focaModalZona')
    .controller('focaModalZonaController', [
        '$timeout',
        '$filter',
        '$scope',
        '$uibModalInstance',
        'focaModalZonaService',
        'filters',
        function($timeout, $filter, $scope, $uibModalInstance, focaModalZonaService, filters) {

            $scope.filters = filters;
            $scope.zonas = [];

            focaModalZonaService.getZonas().then(function(res) {
                $scope.zonas = res.data;
            });

            $scope.cancel = function() {
                $uibModalInstance.dismiss('cancel');
            };

            $scope.select = function(actividad) {
                $uibModalInstance.close(actividad);
            };

        }]
    );
